---
description: Getting started with Docker
keywords: beginner, getting started, Docker
redirect_from:
- /mac/last_page/
- /windows/last_page/
- /linux/last_page/
title: Learn more
notoc: true
---

This tutorial provided very basic essentials for using Docker. If you want to learn more about end-to-end development, start with the full install instructions and feature overviews in the platform-specific guides, then follow up with more advanced tutorials and user guides.

Depending on your interest, the Docker documentation contains a wealth of information.  Here are some places to start:

<style type="text/css">
</style>
<table class="tutorial" width="100%">
  <col style="width:50%">
  <col style="width:50%">
  <tr>
    <th class="tg-031e">If you are looking for</th>
    <th class="tg-031e">Where to find it</th>
  </tr>
  <tr>
    <td class="tg-031e" style="width: 50%">Tutorials and sample app walkthroughs.<br><br>
     A logical next step after completing the basic getting started
     example, this tutorial walks you through using a Docker stack file
     to define a set of services and deploy them to a [swarm](/engine/reference/glossary.md#swarm).
    </td>
    <td class="tg-031e"><a href="/engine/getstarted-voting-app/">Define and deploy apps in Swarm Mode</a></td>
  </tr>
  <tr>
  <td class="tg-031e">A palette of sample applications and training labs from Docker and community contributors.</td>
  <td class="tg-031e"><a href="/samples/">Samples and labs</a></td>
  </tr>
  <tr>
  <td class="tg-031e">A more in-depth exploration of concepts introduced in the basic getting started: running containers, building your own images, networking containers, managing data for containers, and storing images on Docker Hub.</td>
  <td class="tg-031e"><a href="/engine/tutorials/">Learn by example</a></td>
  </tr>
  <tr>
    <td class="tg-031e">Platform-specific getting started guides. You can find install steps, release notes, basic Docker command examples, FAQs, troubleshooting, and more in these guides. </td>
    <td class="tg-031e">
    <a href="/docker-for-mac/">Getting Started with Docker for Mac</a><br>
    <a href="/docker-for-windows/">Getting Started with Docker for Windows</a><br>
    <a href="/toolbox/overview/">Docker Toolbox Overview</a><font color="gray"> (legacy for older platforms)</font><br>
    <a href="/engine/installation/linux/">Install Docker Engine on Linux</a><br>
    </td>
  </tr>
  <tr>
    <td class="tg-031e">Information about the Docker product line</td>
    <td class="tg-031e"><a href="http://www.docker.com/products/">The product explainer is a good place to start.</a></td>
  </tr>
</table>
