---
title: "Docker Docs Hackathon: April 17-21, 2017"
keywords: hack, hackathon, dockercon, austin, 2017
noratings: true
---

![DockerCon Docs Hackathon logo](docs-hackathon-1.png)

During DockerCon 2017, Docker's docs team will be running our first-ever
hackathon, and you're invited to participate and win prizes -- whether you
attend DockerCon or are just watching the proceedings online.

Essentially, it's a bug-bash! We have a number of bugs filed against our docs
up on GitHub for you to grab.

You can participate in one of two ways:

- With the docs team's help in **the fourth floor hack room at DockerCon on
  Tuesday, April 18th and Wednesday, April 19th, from 1-6pm**.
- Online! Right here! During the whole week of DockerCon (April 17th - 21st).

Or, both -- if you want to have the best shot. After all, we won't be in the
hack room 24/7 that whole week.

All participants who show up in the 4th floor hack room at DockerCon will get
[this way-cool magnet](http://www.cafepress.com/dockerdocshackathon.25633054) just for stopping by.

<div data-type="countdown" data-id="104602" class="tickcounter" style="width: 100%; position: relative; padding-bottom: 25%"><a href="//www.tickcounter.com/countdown/104602/docs-hackathon-starts-in" title="Docs Hackathon Starts in:">Docs Hackathon Starts in:</a><a href="//www.tickcounter.com/" title="Countdown">Countdown</a></div><script>(function(d, s, id) { var js, pjs = d.getElementsByTagName(s)[0]; if (d.getElementById(id)) return; js = d.createElement(s); js.id = id; js.src = "//www.tickcounter.com/static/js/loader.js"; pjs.parentNode.insertBefore(js, pjs); }(document, "script", "tickcounter-sdk"));</script>

## Quick links

- [View hackathon bugs on GitHub](https://github.com/docker/docker.github.io/issues?q=is%3Aissue+is%3Aopen+label%3Ahackathon)
- [Report your hackathon work](https://goo.gl/forms/oEaQOlKvQj8iJbn53)
- [Browse prizes](http://www.cafepress.com/dockerdocshackathon)
- [#docs on Slack, if you have questions](https://dockercommunity.slack.com/messages/C2V58TASE)

## How it works

We have a number of bugs that have built up in our docs queue on GitHub, and
we have labeled a whole slew of them with [the tag `hackathon`, which you can
see here](https://github.com/docker/docker.github.io/labels/hackathon).

Submit fixes for these bugs, or close them if you do a bit of research it turns
out they aren't actually valid. Every action you take gets you more points, and
the points are redeemable for dollars in [our hackathon store](http://www.cafepress.com/dockerdocshackathon). These points also
qualify you for valuable prizes like an Amazon gift card and a personally
engraved trophy!

## Prizes

- **All participants**: Points are redeemable for t-shirts, hoodies, sweatshirts,
  mugs, beer steins, pint glasses, flasks, hoodies, stickers, buttons, magnets,
  wall clocks, post-cards, and even doggie t-shirts.
- **3rd place**: A small trophy with a personal engraving, plus store credit
- **2nd place**: A small trophy with a personal engraving, plus store credit,
  plus a $150 Amazon Gift Card
- **1st place**: A large trophy with a personal engraving, plus store credit,
  plus a $300 Amazon Gift Card

### Bonuses

A select few will get bonuses for being extra special contributors:

- Largest single change introduced in a fix (files changed/lines of delta): 1000 points
- Most bugs closed (resolved as no-op or handled): 1000 points
- Most participation (attended all days): 1000 points

### Choosing a prize

You can see the point values for the bugs in the GitHub queue. Those are worth
cash in our rewards store at http://www.cafepress.com/dockerdocshackathon.

Our points-to-cash conversion rate will be figured out at the end of the
hackathon, and will essentially be a function of the number of points that
hackathon participants logged, and the number of dollars we have to spend on
prizes.

[View our available prizes](http://www.cafepress.com/dockerdocshackathon){: class="button primary-btn"}

## When?

The docs hackathon is going on from **April 17th thru April 21st, 2017**. This
is the time when it's possible to claim and resolve bugs.

> **Note**: Okay, technically, we won't be tallying until the following Monday,
  April 24th. Just be sure you've submitted your claim form by then. If we don't
  see your work on Monday morning, it won't be counted.

## Where?

### In-person

Attending DockerCon? Come to **the fourth floor hack room on Tuesday and
Wednesday from 1pm to 6pm**. We'll be there to answer questions and help you.

> **Note**: While the hackathon is officially ongoing all week online, working in
  the hack room with us for these two days is
  by far the best way to participate; the docs team will be on-hand to get you
  started, get you unstuck, and guide you.

### Online

Drop into [the community Slack channel for the docs](https://dockercommunity.slack.com/messages/C2V58TASE) and ask any questions
you have. Otherwise, just go to GitHub and [look at our `hackathon` label](https://github.com/docker/docker.github.io/labels/hackathon)
and come here to claim your points when you're done.

## Claiming a bug

Whether attending in-person or online, to claim a bug as one that you are
working on (so nobody else grabs it out from under you) you must type a comment
saying you claim it. Respect it when you see other comments claiming a bug.

[View avaiable bugs](https://github.com/docker/docker.github.io/issues?q=is%3Aissue+is%3Aopen+label%3Ahackathon){: class="button primary-btn"}

## Claiming your points

Simply fill out this form when you're done participating. We'll take it from
there.

<iframe src="https://docs.google.com/forms/d/e/1FAIpQLSe-vXsZX_u8EoPanCGnBd5eudnaHdJ4dqTumOurt2smCC9gTg/viewform?embedded=true" width="760" height="500" frameborder="0" marginheight="0" marginwidth="0">Loading...</iframe>

### Conversion rate

The points-to-cash ratio will be posted in this space no later than Friday the
21st. We need to figure out how many points' worth of fixes come in first.

Sorry but we can not send you cash for these points under any circumstances,
even if you don't spend them.

## Questions?

Ask us anything at docs@docker.com or in [the #docs channel on Slack](https://dockercommunity.slack.com/messages/C2V58TASE).

Thank you for participating in the 2017 Docs Hackathon!
